# Generated from non-stupid-digest-assets-1.0.9.gem by gem2rpm -*- rpm-spec -*-
%global gem_name non-stupid-digest-assets

Name: rubygem-%{gem_name}
Version: 1.0.9
Release: 1%{?dist}
Summary: Fix the Rails 4 asset pipeline to generate non-digest along with digest assets
License: MIT
URL: http://github.com/alexspeller/non-stupid-digest-assets
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0
BuildArch: noarch

%description
Rails 4, much to everyone's annoyance, provides no option to generate both
digest
and non-digest assets. Installing this gem automatically creates both digest
and
non-digest assets which are useful for many reasons. See this issue for more
details:
https://github.com/rails/sprockets-rails/issues/49.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Tue Sep 14 2021 mockbuilder - 1.0.9-1
- Initial package
